Package net.sourceforge.jiu.codecs

# Class CodecMode

java.lang.Object
net.sourceforge.jiu.codecs.CodecMode

public final class CodecMode extends Object
This class is an enumeration type for the two modes that an image codec can be used in, `LOAD` and `SAVE`. These values are used as arguments in some of the methods of `ImageCodec`.

Since:
  0.7.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CodecMode`
`LOAD`
Codec mode load, one of the two possible values of CodecMode.
`static final CodecMode`
`SAVE`
Codec mode save, one of the two possible values of CodecMode.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CodecMode()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOAD

public static final CodecMode LOAD
Codec mode load, one of the two possible values of CodecMode. To be used with a codec to indicate that an image is to be read from a stream.

### SAVE

public static final CodecMode SAVE
Codec mode save, one of the two possible values of CodecMode. To be used with a codec to indicate that an image is to be written to a stream.

## Constructor Details

### CodecMode

private CodecMode()